RTL in pdf xchange \ foxit

Questions about Wine on Linux
Locked
hefetza
Newbie
Newbie
Posts: 2
Joined: Fri Aug 31, 2012 6:40 am

RTL in pdf xchange \ foxit

Post by hefetza » Fri Aug 31, 2012 7:02 am

Hello,
I've installed pdfxchange and foxit in order to annotate pdf's on linux. They both work great except for one problem: when annotating (notes, textboxes, etc.) the Hebrew comes out backwords. I can see Hebrew fonts fine. I have tried to follow this link http://askubuntu.com/questions/129345/u ... n-wine-1-4 doing:

Code: Select all

LANG=he.IL.UTF-8 wine ~/.wine/drive_c/Program\ Files/Tracker\ Software/PDF\ Viewer/PDFXCview.exe 
in which case I can't see any Hebrew fonts.

I would very much appreciate help on this one since I'm not quite satisfied with the linux alternatives to pdf annotation.

Thanks,
Adam

vitamin
Moderator
Moderator
Posts: 6605
Joined: Sat Feb 23, 2008 2:29 pm

Re: RTL in pdf xchange \ foxit

Post by vitamin » Sat Sep 01, 2012 11:58 am

Wine's font's don't have Hebrew glyph that's why you can't see anything. Try installing some windows fonts (either via distro or using winetricks).

vitamin
Moderator
Moderator
Posts: 6605
Joined: Sat Feb 23, 2008 2:29 pm

Re: RTL in pdf xchange \ foxit

Post by vitamin » Sat Sep 01, 2012 12:20 pm

Please repost your reply. It became a collateral damage in fight with spam...

hefetza
Newbie
Newbie
Posts: 2
Joined: Fri Aug 31, 2012 6:40 am

Re: RTL in pdf xchange \ foxit

Post by hefetza » Mon Sep 03, 2012 1:02 pm

Thanks, but I have installed Hebrew fonts and they work in the open dialog. It's when I try to annotate that they come out backwards. When using the LANG prefix they disappear completely (both as annotations and in the open dialog).

vitamin
Moderator
Moderator
Posts: 6605
Joined: Sat Feb 23, 2008 2:29 pm

Re: RTL in pdf xchange \ foxit

Post by vitamin » Mon Sep 03, 2012 7:15 pm

Submit a bug in bugzilla. I'm not sure how good RTL support in Wine now days. There was a lot of work put into this earlier this year.
BTW you did not specify Wine version. If it's not the latest (1.5.12 released 2 days ago) - upgrade.

Locked